Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 351117 - x11-themes/gnome-icon-theme-2.91.0 needs gtk-update-icon-cache
Summary: x11-themes/gnome-icon-theme-2.91.0 needs gtk-update-icon-cache
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL: https://bugzilla.gnome.org/show_bug.c...
Whiteboard:
Keywords:
Depends on:
Blocks: gnome3
  Show dependency tree
 
Reported: 2011-01-08 13:42 UTC by Alex Buell
Modified: 2012-02-12 14:11 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Buell 2011-01-08 13:42:23 UTC
Just been building my first unstable x86 box. Apparently x11-themes/gnome-icon-theme fails to configure as it can't find gtk-update-icon-cache. On investigation it was found that emerge had not emerged x11-libs/gtk+-2.22.1-r1 first as gtk-update-icon-cache comes from that package. 

Probably just a simple matter of ensuring that gtk+ gets installed before gnome-icon-theme.
Comment 1 Gilles Dartiguelongue gentoo-dev 2011-01-10 09:52:09 UTC
Please provide an emerge --info and build.log and config.log as portage suggests.
Comment 2 Alex Buell 2011-01-10 12:54:14 UTC
Fixed by running python-updater after resumed emerge world was completed.
Comment 3 Pacho Ramos gentoo-dev 2011-01-10 13:05:00 UTC
This was invalid then
Comment 4 Zdenek Behan 2011-02-09 20:12:23 UTC
I don't think this is invalid, and there is an actual missing dependency. Can we please reopen this?

gnome-icon-theme should explicitly depend on x11-libs/gtk+ because:
checking for gtk-update-icon-cache... no
configure: error: Could not find gtk-update-icon-cache

The binary gtk-update-icon-cache comes from gtk+. gtk+ only comes as a transitive runtime dependency. The workaround with python-updater is not really relevant, it just mixes up the build order some and may cause gtk+ to be installed.
Comment 5 Pacho Ramos gentoo-dev 2011-02-09 21:20:41 UTC
It's true, but I am unsure about simply RDEPENDing on x11-libs/gtk+ because gtk-update-icon-cache shouldn't be used during compilation, it is executed by gnome2-utils.eclass, then, I am not sure if maybe that eclass should RDEPEND on x11-libs/gtk+ when needed
Comment 6 Zdenek Behan 2011-02-09 21:33:09 UTC
(In reply to comment #5)
> It's true, but I am unsure about simply RDEPENDing on x11-libs/gtk+ because
> gtk-update-icon-cache shouldn't be used during compilation, it is executed by
> gnome2-utils.eclass, then, I am not sure if maybe that eclass should RDEPEND on
> x11-libs/gtk+ when needed

Executed by the eclass? Why does the icon-theme configure check for it then? I didn't explore in detail where is this used, but the configure check is either bogus and should be removed or the package is really using it and then this ebuild should DEPEND on gtk+.

Also, I'm not sure if RDEPEND is the right thing. This should in fact be an HDEPEND, but I'm not sure that is even officially supported, and closest to that is DEPEND.
Comment 7 Zdenek Behan 2011-02-09 22:08:14 UTC
(In reply to comment #5)
> It's true, but I am unsure about simply RDEPENDing on x11-libs/gtk+ because
> gtk-update-icon-cache shouldn't be used during compilation, it is executed by
> gnome2-utils.eclass, then, I am not sure if maybe that eclass should RDEPEND on
> x11-libs/gtk+ when needed

The Makefile is using gtk-update-icon-cache as install-data-hook.
Comment 8 Pacho Ramos gentoo-dev 2011-02-10 09:45:16 UTC
This also affected to the tree, could you please comment what would be the most proper solution for this? Thanks a lot
Comment 9 Zdenek Behan 2011-02-10 15:08:09 UTC
I think gnome-icon-theme should DEPEND on gtk+, because its build system uses a tool provided by gtk+.
Comment 10 Alain Toussaint 2011-02-15 03:02:48 UTC
I second the suggestion of adding gtk+ to the list of deps. the workaround of running either revdep-rebuild or even, python-updater does not work and gtk+ does not even want to install before gnome-icon-theme.

app-shells/bash:     4.1_p9
dev-lang/python:     2.6.6-r1, 2.7.1, 3.1.2-r4
dev-util/cmake:      2.8.3-r1
sys-apps/baselayout: 2.0.1-r1
sys-apps/openrc:     0.7.0
sys-apps/sandbox:    2.4
sys-devel/autoconf:  2.13, 2.68
sys-devel/automake:  1.10.3, 1.11.1
sys-devel/binutils:  2.21
sys-devel/gcc:       4.4.4-r2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.4-r1
sys-devel/make:      3.82
virtual/os-headers:  2.6.36.1 (sys-kernel/linux-headers)
ACCEPT_KEYWORDS="x86 ~x86"
ACCEPT_LICENSE="*"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=native -mtune=native -msse -msse2 -mfpmath=sse -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/eselect/postgresql /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -march=native -mtune=native -msse -msse2 -mfpmath=sse -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://mirror.csclub.uwaterloo.ca/gentoo-distfiles/"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="fr"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.ca.gentoo.org/gentoo-portage"
Portage 2.1.9.39 (default/linux/x86/10.0/server, gcc-4.4.4, glibc-2.13-r0, 2.6.37-gentoo i686)
=================================================================
                         System Settings
=================================================================
System uname: Linux-2.6.37-gentoo-i686-Intel-R-_Pentium-R-_4_CPU_2.00GHz-with-gentoo-2.0.1
Timestamp of tree: Fri, 11 Feb 2011 02:45:01 +0000
USE="X acl acpi aio applet aspnet2 avahi bash-completion branding bzip2 caps cli colordiff cracklib crypt cxx dbus device-mapper dga dhcpcd disk-partition diskio dmx dri dso elf exif expat extensible extras fam fat fortran gd gdbm gmp gnutls gpm hal hs19 icc iconv icu idn ifc ipp ipv6 java java6 jbig jpeg jpeg2k kolab lapack lcms libffi libnotify lm_sensors lzma maildir mfd-rewrite mime mkl mmap mmx mng modules mono mudflap ncurses netapi nls nptl nptlonly nsplugin nss ntp opengl openmp pam pccts pcre perl pg-intdatetime pic png postgres pppd profile4 python python3 readline remote samba sensord server servletapi session sharedext sharedmem slp smbclient snmp soap sockets spell sqlite sse sse2 ssl startup-notification svg swig symlink sysfs syslog sysvipc tcpd threads tiff tools track-src-odirect truetype udev unicode unlock-notify upnp urandom usb uuid vhosts web webmail x86 xattr xcb xml xmp xorg xrender xulrunner xv zeroconf zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_default authz_groupfile authz_host authz_owner authz_user autoindex deflate dir disk_cache env expires ext_filter file_cache cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias cgid" APACHE2_MPMS="event" CAMERAS="*" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="fr" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="fglrx" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, MAKEOPTS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY

[32;01m * [39;49;00mPackage:    x11-themes/gnome-icon-theme-2.91.6
[32;01m * [39;49;00mRepository: gentoo
[32;01m * [39;49;00mMaintainer: gnome@gentoo.org
[32;01m * [39;49;00mUSE:        branding elibc_glibc kernel_linux userland_GNU x86
[32;01m * [39;49;00mFEATURES:   sandbox
>>> Unpacking source...
>>> Unpacking gnome-icon-theme-2.91.6.tar.bz2 to /var/tmp/portage/x11-themes/gnome-icon-theme-2.91.6/work
>>> Unpacking tango-gentoo-v1.1.tar.gz to /var/tmp/portage/x11-themes/gnome-icon-theme-2.91.6/work
>>> Source unpacked in /var/tmp/portage/x11-themes/gnome-icon-theme-2.91.6/work
>>> Preparing source in /var/tmp/portage/x11-themes/gnome-icon-theme-2.91.6/work/gnome-icon-theme-2.91.6 ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/x11-themes/gnome-icon-theme-2.91.6/work/gnome-icon-theme-2.91.6 ...
./configure --prefix=/usr --build=i686-pc-linux-gnu --host=i686-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --enable-icon-mapping
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking how to create a ustar tar archive... gnutar
checking for i686-pc-linux-gnu-pkg-config... no
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.19... yes
checking whether NLS is requested... yes
checking for style of include used by make... GNU
checking for i686-pc-linux-gnu-gcc... i686-pc-linux-gnu-gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether i686-pc-linux-gnu-gcc accepts -g... yes
checking for i686-pc-linux-gnu-gcc option to accept ISO C89... none needed
checking dependency style of i686-pc-linux-gnu-gcc... none
checking for intltool >= 0.40.0... 0.41.1 found
checking for intltool-update... /usr/bin/intltool-update
checking for intltool-merge... /usr/bin/intltool-merge
checking for intltool-extract... /usr/bin/intltool-extract
checking for xgettext... /usr/bin/xgettext
checking for msgmerge... /usr/bin/msgmerge
checking for msgfmt... /usr/bin/msgfmt
checking for gmsgfmt... /usr/bin/gmsgfmt
checking for perl... /usr/bin/perl
checking for perl >= 5.8.1... 5.12.3
checking for XML::Parser... ok
checking icon-naming-utils >= 0.8.7... yes
checking for gtk-update-icon-cache... no
configure: error: Could not find gtk-update-icon-cache

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/x11-themes/gnome-icon-theme-2.91.6/work/gnome-icon-theme-2.91.6/config.log
 [31;01m*[0m ERROR: x11-themes/gnome-icon-theme-2.91.6 failed (configure phase):
 [31;01m*[0m   econf failed
 [31;01m*[0m 
 [31;01m*[0m Call stack:
 [31;01m*[0m     ebuild.sh, line   56:  Called src_configure
 [31;01m*[0m   environment, line 1521:  Called gnome2_src_configure
 [31;01m*[0m   environment, line 1263:  Called econf '--enable-icon-mapping'
 [31;01m*[0m     ebuild.sh, line  557:  Called die
 [31;01m*[0m The specific snippet of code:
 [31;01m*[0m   			die "econf failed"
 [31;01m*[0m 
 [31;01m*[0m If you need support, post the output of 'emerge --info =x11-themes/gnome-icon-theme-2.91.6',
 [31;01m*[0m the complete build log and the output of 'emerge -pqv =x11-themes/gnome-icon-theme-2.91.6'.
 [31;01m*[0m The complete build log is located at '/var/tmp/portage/x11-themes/gnome-icon-theme-2.91.6/temp/build.log'.
 [31;01m*[0m The ebuild environment file is located at '/var/tmp/portage/x11-themes/gnome-icon-theme-2.91.6/temp/environment'.
 [31;01m*[0m S: '/var/tmp/portage/x11-themes/gnome-icon-theme-2.91.6/work/gnome-icon-theme-2.91.6'
Comment 11 Pacho Ramos gentoo-dev 2011-02-21 19:09:01 UTC
+*gnome-icon-theme-2.91.7 (21 Feb 2011)
+
+  21 Feb 2011; Pacho Ramos <pacho@gentoo.org> -gnome-icon-theme-2.31.0.ebuild,
+  -gnome-icon-theme-2.91.0.ebuild, +gnome-icon-theme-2.91.7.ebuild,
+  +files/gnome-icon-theme-2.91.7-update-cache.patch:
+  Version bump adding speaker device icon and reverting upstream commit that
+  was causing icon cache to be always regenerated even when unneeded (bug
+  #351117 by Alex Buell).